Bug 458966 - (CVE-2008-3657) CVE-2008-3657 ruby: missing "taintness" checks in dl module
CVE-2008-3657 ruby: missing "taintness" checks in dl module
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
reported=20080808,public=20080808,sou...
: Security
Depends On: 461579 461580 461590 461591
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 10:16 EDT by Jan Lieskovsky
Modified: 2011-10-27 09:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (67 bytes, text/plain)
2008-08-13 10:27 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2008-08-13 10:16:56 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3657 to the following vulnerability:

The dl module in Ruby 1.8.5 and earlier, 1.8.5 through 1.8.6-p286, 1.8.7 through 1.8.7-p71, and 1.9 through r18423 does not check "taintness" of inputs, which allows context-dependent attackers to bypass safe levels and execute dangerous functions by accessing a library using DL.dlopen.

Refences:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494401
http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/
Comment 3 Jan Lieskovsky 2008-08-13 10:27:42 EDT
Created attachment 314211 [details]
Proposed patch

Please notice, the previous proposed patch for the Ruby dl module was 
incomplete. See part:

Ruby 1.8.7-p72 and 1.8.6-p287 released

Ruby 1.8.7-p72 and 1.8.6-p287 have been released. The last releases were incomplete, and the new releases include fixes of the previously announced vulnerability of dl.

at: http://www.ruby-lang.org/en/
Comment 7 Fedora Update System 2008-10-08 10:20:56 EDT
ruby-1.8.6.287-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc8
Comment 8 Fedora Update System 2008-10-08 10:22:59 EDT
ruby-1.8.6.287-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc9
Comment 9 Fedora Update System 2008-10-09 17:29:18 EDT
ruby-1.8.6.287-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-09 17:35:04 EDT
ruby-1.8.6.287-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.